import { jsx } from "react/jsx-runtime";
import { ChatSlash as ChatSlash$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const ChatSlash = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "ChatSlash", ...props, children: /* @__PURE__ */ jsx(ChatSlash$1, { weight: variant }) });
  }
);
ChatSlash.displayName = "ChatSlash";
Object.assign(ChatSlash, { isGdsIcon: true });
export {
  ChatSlash
};
